<template>
  <div class="DayBars">
    <div
      v-for="day of days"
      :key="day.toISOString()"
      class="DayBars__Bar"
      :style="style(day)"
    />
  </div>
</template>

<script lang="ts" setup>
import { days } from '@/states/weekPlanning'
import { dateToPosition } from './timedPosition'
import { Moment } from 'moment/moment'

const style = (day: Moment) => ({
  left: dateToPosition({ startDate: day.toDate() }).left,
})
</script>

<style lang="scss" scoped>
@use 'src/style/variables' as v;
@use './weekPlanning' as wp;

.DayBars {
  position: absolute;
  top: 0;
  left: wp.$labelWidth;
  z-index: wp.$z-index-dayBars;
  height: 100%;
  background-color: transparent;

  &__Bar {
    position: absolute;
    height: 100%;
    border-left: 1px solid var(--weekPlanning-border);
    list-style: none;
  }
}
</style>
